Bug 107068 - PIVOT CHARTS: add "arrow" symbol to filter buttons to show they're drop down lists
Summary: PIVOT CHARTS: add "arrow" symbol to filter buttons to show they're drop down ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2017-04-10 13:53 UTC by bureautiquelibre
Modified: 2017-04-27 13:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Buttons to modify are circled in red. (144.98 KB, image/png)
2017-04-10 13:53 UTC, bureautiquelibre
Details
Replaces former screenshot (123.32 KB, image/png)
2017-04-10 13:57 UTC, bureautiquelibre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2017-04-10 13:53:36 UTC
Created attachment 132449 [details]
Buttons to modify are circled in red.

On current interface it's not clear that the filter buttons have drop-down filter menus associated.

Adding an arrow mark like on the pivot table filters would make it clear to the user.

"Data" shouldn't have the drop down option as it has no action associated to it.
Maybe "Data" should be hidden.
Comment 1 bureautiquelibre 2017-04-10 13:57:15 UTC
Created attachment 132450 [details]
Replaces former screenshot
Comment 2 bureautiquelibre 2017-04-10 13:58:11 UTC
Replaced 1st screenshot which wasn't showing the right elements.
Comment 3 raal 2017-04-11 15:50:31 UTC
Seeting as new

Version: 5.4.0.0.alpha0+
Build ID: eefe13c77d01be37c911e75af191717a944fedb3
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-10_23:53:03
Comment 4 Commit Notification 2017-04-22 07:09:09 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=011057b0ce7552497858afed7252136a3fc09bf8

tdf#107068 add arrow to the buttons, mark if field is filtered

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 bureautiquelibre 2017-04-27 13:13:21 UTC
Fix confirmed

Version: 5.4.0.0.alpha0+ (x64)
Build ID: e4f28aea21ce7e8f960cc2062f83715549be215e
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2017-04-25_02:04:15
Locale: fr-FR (fr_FR); Calc: CL